%global debug_package %{nil}

Name:		yubioath-desktop
Version:	2.2.1
Release:	1%{?dist}
Summary:	Yubikey tool for generating OATH event-based HOTP and time-based TOTP codes
BuildArch:	noarch

License:	GPLv3+
URL:		https://developers.yubico.com/%{name}/
Source0:	https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz
Source1:	https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz.sig
Source2:	gpgkey-6FBA95E8.gpg

Patch0:		fix-pyside-requirement.patch

BuildRequires:		gnupg2 python2-devel desktop-file-utils
Requires:		python-crypto pyscard python-pyside ykpers pcsc-lite-ccid
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

%description
The Yubico Authenticator is a graphical desktop tool and CLI for generating
Open AuTHentication (OATH) event-based HOTP and time-based TOTP one-time
password codes, with the help of a YubiKey that protects the shared secrets.

%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q
%patch0 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --root=%{buildroot}

# man pages
mkdir -p %{buildroot}%{_mandir}/man1
cp %{_builddir}/%{buildsubdir}/man/*.1 %{buildroot}%{_mandir}/man1
gzip %{buildroot}%{_mandir}/man1/yubioath.1
gzip %{buildroot}%{_mandir}/man1/yubioath-cli.1

# desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{_builddir}/%{buildsubdir}/resources/yubioath.desktop

# icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{_builddir}/%{buildsubdir}/resources/yubioath.xpm %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
cp %{_builddir}/%{buildsubdir}/resources/yubioath-desktop.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps

%files
%license COPYING
%doc ChangeLog NEWS README
%{python2_sitelib}/yubioath/
%{python2_sitelib}/yubioath_desktop*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/128x128/apps/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Thu Aug 27 2015 Seth Jennings <spartacus06@gmail.com> - 2.2.1-1
- Upstream release.

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-3
- Use __python2 macro.

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-2
- Add pcsc-lite-ccid requirement

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-1
- Initial package release.
